# Class CIM_Door
extends CIM_LogicalDevice

A Door is the abstraction of hardware providing access to the internal componentry of a System. When a Door is 'opened', typically all accessible, moving components are stopped or suspended to prevent physical harm.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_Door

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A Door is the abstraction of hardware providing access to the internal componentry of a System. When a Door is 'opened', typically all accessible, moving components are stopped or suspended to prevent physical harm.
UMLPackagePath | string | CIM::Device::UserDevices
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LastOpened | datetime |
Description | string | Date and time that the Door was last opened.
Locked | boolean |
Description | string | Boolean indicating that the Door is 'locked' (TRUE) or 'unlocked' (FALSE). When the Door is locked, access to the componentry is prevented, without the use of a physical key or the issuance of a software unlock command.
Open | boolean |
Description | string | Boolean indicating the 'open' (TRUE) or 'closed' (FALSE) status of the Door.
Timeout | uint32 |
Description | string | When a Door is 'Open', all accessible, moving componentry and Device operation are typically stopped. The Timeout property provides a mechanism to event on a Door left open for a period of time (in seconds) exceeding the property's value.
PUnit | string | second
Units | string | Seconds
Capabilities | uint16[] |

Description

string

The Capabilities of the Door. For example, information on whether the Door is "Host System Lockable" (value=2) and/or whether a key is available (value=3) are specified in this property. The value 4, "All Drives Dismounted Before Access", pertains to a Door on a StorageLibrary or set of drive bays. If specified for the Door, it means that it can not be opened unless all Media are first unloaded from the accessible MediaAccessDevices.

ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Host System Lockable, Physical Key, All Drives Dismounted Before Access

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice